<template>
	<div class="facilitator-group pa-5">
		<p v-if="!group">Getting group ...</p>
		<div v-if="group">
			<p class="pb-2 title">Group: {{group.title}}</p>

				<v-tabs grow v-model="tab">
						<v-tab><v-icon left>mdi-account-group-outline</v-icon>Participants</v-tab>
						<v-tab><v-icon left>mdi-format-list-bulleted-square</v-icon>Intake forms</v-tab>
						<v-tab><v-icon left>mdi-book-information-variant</v-icon>Group info</v-tab>
						<v-tab><v-icon left>mdi-cogs</v-icon>Seetings</v-tab>
				</v-tabs>
				<v-tabs-items v-model="tab">
					<v-tab-item>
						<participants :participants="group.usersObjs"/>
					</v-tab-item>
					<v-tab-item>
						<intake-form />
					</v-tab-item>
					<v-tab-item>
						<info :group="group"/>
					</v-tab-item>
				</v-tabs-items>

		</div>
	</div>
</template>

<script>
import { mapActions, mapState } from 'vuex'
import Participants from './Group/Participants'
import IntakeForm from './Group/IntakeForms';
import info from './Group/Info';

export default {
	name: 'FacilitatorGroup',
	components: {
		Participants,
		IntakeForm,
		info
	},
	computed: {
    	...mapState('group', ['group'])
	},
	data: () => ({
		tab: null
	}),
	created() {
		this.getCircle()
	},
  	methods: {
		...mapActions('group', ['get']),
		async getCircle() {
			await this.get(this.$route.params.id)
		}
  	}
}
</script>

<style lang="scss" scoped>
.facilitator-group {
  border-radius: 12px !important;
}
</style>
